Skip to main content
`Ctrl`+`K`

# PetscStopForDebugger

Prints a message to the screen indicating how to attach to the process with the debugger and then waits for the debugger to attach.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStopForDebugger(void)

Not Collective

## Options Database Key

- -stop_for_debugger - will stop for you to attach the debugger when `PetscInitialize()` is called

## Note

This is likely never needed since `PetscAttachDebugger()` is easier to use and seems to always work.

## Developer Note

Since this can be called by the error handler, should it be calling `SETERRQ()` and `PetscCall()`?

## See Also

`PetscSetDebugger()`, `PetscAttachDebugger()`

## Level

developer

## Location

src/sys/error/adebug.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages